/*
 * @Author: micky 1254597151@qq.com
 * @Date: 2023-12-19 15:41:58
 * @LastEditors: micky 1254597151@qq.com
 * @LastEditTime: 2023-12-20 18:11:06
 * @FilePath: \housekeeping-admin\src\api\service\activity.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

// 活动专区列表
export function apiActivityLists(params: any) {
    return request.get({ url: '/activity/list', params })
}

// 添加活动专区
export function apiActivityAdd(params: any) {
    return request.post({ url: '/activity/add', params })
}

// 删除活动专区
export function apiActivityDel(params: any) {
    return request.post({ url: '/activity/del', params })
}

// 编辑活动专区
export function apiActivityEdit(params: any) {
    return request.post({ url: '/activity/edit', params })
}

// 编辑活动专区状态
export function apiActivityStatusEdit(params: any) {
    return request.post({ url: '/activity/status', params })
}

// 活动专区详情
export function apiActivityDetail(params: any) {
    return request.get({ url: '/activity/detail', params })
}
